<?php
/**
 * @package		Advanced Tags & Prefixes
 * @author		Ryan Hoerr
 * @copyright	(c) 2012 Ryan Hoerr / Sublime Development
 * @license		http://www.sublimism.com/products/terms-of-use
 * @version		$Id: cp_skin_tags.php 32 2012-12-11 05:09:41Z No1 1000 $
 * @updated		$Date: 2012-12-11 00:09:41 -0500 (Tue, 11 Dec 2012) $
 */

/**
 * ACP templates for the tags module
 */
 
class cp_skin_tags extends output {

public function __destruct() { }

/**
 * Show grouped tags in table/list form
 */
public function tagList( $rows, $tagsPages='' ) {
$IPBHTML = "";

$dir					= $this->request['dir'] == 'desc' ? 'desc' : 'asc';
$sort['tag_text']		= ($this->request['sort'] == 'tag_text' || empty($this->request['sort'])) ? 'active '.$dir : '';
$sort['tag_meta_app']	= $this->request['sort'] == 'tag_meta_app' ? 'active '.$dir : '';
$sort['num']			= $this->request['sort'] == 'num' ? 'active '.$dir : '';

$searchOpts				= array( array( 'tag_text', $this->lang->words['pre_title'] ), array( 'tag_meta_app', $this->lang->words['pre_app'] ) );

$IPBHTML .= <<<HTML
<div class='section_title'>
	<h2>{$this->lang->words['pre_manage_tags']}</h2>
</div>

<div class='acp-box'>
	<h3>
		<span style='float:right;'>
			<form method="post" action="{$this->settings['base_url']}{$this->form_code}">
				<input type='hidden' name='_admin_auth_key' value='{$this->registry->adminFunctions->getSecurityKey()}' />
				{$this->registry->output->formInput('tag_search', $this->request['tag_search'], '', 15)}
				{$this->registry->output->formDropdown('search_key', $searchOpts, $this->request['search_key'])}
				<input type="submit" class='button' name='tag_submit' value="{$this->lang->words['sj_search']}" />
			</form>
		</span>
		{$this->lang->words['pre_tags']}
	</h3>
	<table class='ipsTable'>
		<tr>
			<td colspan="4">
				{$this->lang->words['pre_tags_desc']}
			</td>
		</tr>
		<tr>
			<th class='sortable {$sort['tag_text']}' data-key='tag_text'><p>{$this->lang->words['pre_title']} <span></span></p></th>
			<th class='sortable {$sort['tag_meta_app']}' data-key='tag_meta_app' width="20%"><p>{$this->lang->words['pre_app']} <span></span></p></th>
			<th class='sortable {$sort['num']}' data-key='num' width="20%"><p>{$this->lang->words['pre_uses']} <span></span></p></th>
			<th style="width: 90px">{$this->lang->words['pre_options']}</th>
		</tr>
HTML;
if(count($rows) > 0) {
	foreach( $rows as $k => $r ) {
		$groups		= !empty( $r['prefix_groups'] ) ? count( explode( ',', $r['prefix_groups'] ) ) : 0;
		$preview	= $r['prefix_pre'] . ($r['prefix_showtitle'] ? $r['prefix_title'] : '') . $r['prefix_post'];
		$search_url	= $this->registry->getClass('output')->formatUrl( $this->registry->getClass('output')->buildUrl( "app=core&amp;module=search&amp;do=search&amp;search_tags=" . urlencode($r['tag_text']) . "&amp;search_app=" . $r['tag_meta_app'], "public",'' ), 'false', 'tags' );
		
		$IPBHTML .= <<<HTML
		<tr class='ipsControlRow'>
			<td>
				<span class="tag_{$k} norm" onclick="jQuery('.tag_{$k}').toggle();return false;" style="cursor:pointer" title="{$this->lang->words['pre_tag_edit']}">{$r['tag_text']}</span>
				<form class="tag_{$k} edit" style="display:none" method="post" action="{$this->settings['base_url']}{$this->form_code}">
					<input type="hidden" name="do" value="updateTags" />
					<input type="hidden" name="find" value="{$r['tag_text']}" />
					<input type="hidden" name="a" value="{$r['tag_meta_app']}" />
					<input type='hidden' name='_admin_auth_key' value='{$this->registry->adminFunctions->getSecurityKey()}' />
					{$this->registry->output->formInput('replace_text', $r['tag_text'], '', 20)}
					<input type="submit" class='button' value="{$this->lang->words['pre_tag_replace']}" />
				</form>
			</td>
			<td>{$r['tag_meta_app']}</td>
			<td>{$r['num']}</td>
			<td nowrap='nowrap'>
				<ul class='ipsControlStrip'>
					<li class='i_view'><a href='{$search_url}' target='_blank' title='{$this->lang->words['pre_tag_view']}'>{$this->lang->words['edit']}</a></li>
					<li class='i_edit'><a href='#' onclick="jQuery('.tag_{$k}').toggle();return false;" title="{$this->lang->words['pre_tag_edit']}">{$this->lang->words['edit']}</a></li>
					<li class='i_delete'><a href='{$this->settings['base_url']}{$this->form_code}&amp;do=deleteTags&amp;a={$r['tag_meta_app']}&amp;find={$r['tag_text']}' onclick='return confirm("{$this->lang->words['pre_tag_delete_conf']}")' title='{$this->lang->words['pre_tag_delete']}'>{$this->lang->words['pre_remove']}</a></li>
				</ul>
			</td>
		</tr>
HTML;
	}
}
else
	$IPBHTML .= <<<HTML
		<tr>
			<td colspan='4'>
				{$this->lang->words['pre_tag_none']}
			</td>
		</tr>
HTML;

$IPBHTML .= <<<HTML
	</table>
{$tagsPages}
</div>
<script type="text/javascript">
	jQ(document).ready(function() {
		jQ('.sortable').click(function(e) {
			document.location.href = '{$this->settings['_base_url']}&app=advancedtagsprefixes&{$this->form_code_js}&do=tagManager&st={$this->request['st']}&search_key={$this->request['search_key']}&tag_search={$this->request['tag_search']}&dir=' + (jQ(this).hasClass('desc') ? 'asc' : 'desc') + '&sort=' + jQ(this).attr('data-key');
		} );
	} );
</script>
HTML;

$IPBHTML .= $this->copyleft();

return $IPBHTML;
}

public function copyleft() {
return <<<HTML
<div id="footer" title="$Rev$">
	{$this->lang->words['pre_app_title']} 
	&copy; 2012 Ryan Hoerr / <a href="http://www.sublimism.com" target="_blank">Sublime Development</a> &nbsp; | &nbsp; 
	<a href="http://community.invisionpower.com/topic/315335-download-topic-prefixes/page__view__getlastpost" target="_blank">Get Support</a>
</div>
HTML;
}

}
