<?php
/**
 * @package		Advanced Tags & Prefixes
 * @author		Ryan Hoerr
 * @copyright	(c) 2012 Ryan Hoerr / Sublime Development
 * @license		http://www.sublimism.com/products/terms-of-use
 * @version		$Id: cp_skin_tools.php 32 2012-12-11 05:09:41Z No1 1000 $
 * @updated		$Date: 2012-12-11 00:09:41 -0500 (Tue, 11 Dec 2012) $
 */

/**
 * ACP templates for the tools module
 */
 
class cp_skin_tools extends output {

public function __destruct() { }

/**
 * Show tool forms
 */
public function prefixMainScreen( $rows, $dropdown, $warnings = array(), $message = '' ) {
$IPBHTML = "";
//--starthtml--//

if( count($warnings) ) {
	$warnings = implode( '<br />', $warnings );
	$IPBHTML .= <<<HTML
<div class="warning">
	<strong>{$this->lang->words['pre_legacy_warn']}</strong><br />
	{$warnings}
</div><br />
HTML;
}

if( !empty($message) ) {
	$IPBHTML .= <<<HTML
<div class="information-box">
	{$message}
</div><br />
HTML;
}

if( empty($this->request['perCycle']) ) {
	$this->request['perCycle'] = 50;
}
if( !isset($this->request['incOP']) ) {
	$this->request['incOP'] = 1;
}
if( !isset($this->request['incPinned']) ) {
	$this->request['incPinned'] = 1;
}
if( !isset($this->request['incLocked']) ) {
	$this->request['incLocked'] = 1;
}

$replace_desc = sprintf( $this->lang->words['pre_replace_desc'], $this->settings['base_url'] . 'module=tags&amp;section=tools' );
$massdel_desc = sprintf( $this->lang->words['pre_massdel_desc'], $this->settings['base_url'] . 'module=tags&amp;section=tools' );

/**
 * Get forum list
 */
require_once( IPSLib::getAppDir( 'forums' ) .'/sources/classes/forums/class_forums.php' );
require_once( IPSLib::getAppDir( 'forums' ) .'/sources/classes/forums/admin_forum_functions.php' );

$aff = new admin_forum_functions( $this->registry );
$aff->forumsInit();
$forums = $aff->adForumsForumList(1);

/**
 * Make form inputs
 */
$form['find']		= $this->registry->output->formInput( 'find', $this->request['find'] );
$form['replace']	= $this->registry->output->formInput( 'replace_text', $this->request['replace_text'] );
$form['removeText']	= $this->registry->output->formInput( 'removeText', $this->request['removeText'] );
$form['prefixes']	= count($dropdown) ? $this->registry->output->formDropdown( "replace", $dropdown, $this->request['replace'] ) : '';
$form['forums']		= $this->registry->output->formMultiDropdown( "forums[]", $forums, array(), 10 );
$form['perCycle']	= $this->registry->output->formInput( 'perCycle', $this->request['perCycle'], 'perCycle', '5' );
$form['incOP']		= $this->registry->output->formYesNo( 'incOP', $this->request['incOP'] );
$form['incPinned']	= $this->registry->output->formYesNo( 'incPinned', $this->request['incPinned'] );
$form['incLocked']	= $this->registry->output->formYesNo( 'incLocked', $this->request['incLocked'] );

/**
 * Show stuff
 */

$IPBHTML .= <<<HTML
<div class='section_title'>
	<h2>{$this->lang->words['pre_tools_header']}</h2>
</div>

<form id="fixall" name="fixall" method="post" action="{$this->settings['base_url']}{$this->form_code}">
	<input type='hidden' name='do' value='fixAllTheThings' />
	<input type='hidden' name='_admin_auth_key' value='{$this->registry->adminFunctions->getSecurityKey()}' />

	<div class="acp-box">
		<h3>{$this->lang->words['pre_fixall_header']}</h3>
		<table class="ipsTable double_pad">
			<tr>
				<td colspan="2">
					{$this->lang->words['pre_fixall_desc']}
				</td>
			</tr>
		</table>
		<div class="acp-actionbar">
			<input type="submit" accesskey="s" class="button redbutton" value="{$this->lang->words['pre_fixall_submit']}" />
		</div>
	</div>
</form><br />

<form id="addtags" name="addtags" method="post" action="{$this->settings['base_url']}{$this->form_code}">
	<input type='hidden' name='do' value='addTags' />
	<input type='hidden' name='_admin_auth_key' value='{$this->registry->adminFunctions->getSecurityKey()}' />

	<div class="acp-box">
		<h3>{$this->lang->words['pre_massadd_header']}</h3>
		<table class="ipsTable double_pad">
			<tr>
				<td colspan="2">
					{$this->lang->words['pre_massadd_desc']}
				</td>
			</tr>
			<tr>
				<td>
					<a href="#" class="mini_button" onclick="jQuery('#maddform').slideDown(500);jQuery(this).parent().hide();return false;">{$this->lang->words['pre_show_form']}</a>
				</td>
			</tr>
		</table>
		<div id="maddform" style="display:none">
		<table class="ipsTable double_pad">
			<tr></tr>
			<tr>
				<td class='field_title'><strong class='title'>{$this->lang->words['pre_snr_search']}</strong></td>
				<td class='field_field'>
					{$form['find']}<br />
					<span class='desctext'>{$this->lang->words['pre_massadd_find_desc']}</span>
				</td>
			</tr>
			<tr>
				<td class='field_title'><strong class='title'>{$this->lang->words['pre_massadd_first']}</strong></td>
				<td class='field_field'>
					{$form['incOP']}<br />
					<span class='desctext'>{$this->lang->words['pre_massadd_first_desc']}</span>
				</td>
			</tr>
			<tr>
				<td class='field_title'><strong class='title'>{$this->lang->words['pre_massadd_forums']}</strong></td>
				<td class='field_field'>
					{$form['forums']}<br />
					<span class='desctext'>{$this->lang->words['pre_blank_all']}</span>
				</td>
			</tr>
			<tr>
				<td class='field_title'><strong class='title'>{$this->lang->words['pre_add_prefix']}</strong></td>
				<td class='field_field'>
					{$form['prefixes']}<br />
					<span class='desctext'>{$this->lang->words['pre_blank_none']}</span>
				</td>
			</tr>
			<tr>
				<td class='field_title'><strong class='title'>{$this->lang->words['pre_add_tags']}</strong></td>
				<td class='field_field'>
					{$form['replace']}<br />
					<span class='desctext'>{$this->lang->words['pre_blank_none']} {$this->lang->words['pre_commas']}</span>
				</td>
			</tr>
HTML;

if( $this->settings['sql_driver'] == 'mysql' ) {
	$IPBHTML .= <<<HTML
			<tr>
				<td class='field_title'><strong class='title'>{$this->lang->words['pre_massadd_remove']}</strong></td>
				<td class='field_field'>
					{$form['removeText']}<br />
					<span class='desctext'>{$this->lang->words['pre_massadd_remove_desc']} {$this->lang->words['pre_blank_none']}</span>
				</td>
			</tr>
HTML;
}

$IPBHTML .= <<<HTML
			<tr>
				<td class='field_title'><strong class='title'>{$this->lang->words['pre_inc_pinned']}</strong></td>
				<td class='field_field'>
					{$form['incPinned']}
				</td>
			</tr>
			<tr>
				<td class='field_title'><strong class='title'>{$this->lang->words['pre_inc_locked']}</strong></td>
				<td class='field_field'>
					{$form['incLocked']}
				</td>
			</tr>
			<tr>
				<td class='field_title'><strong class='title'>{$this->lang->words['pre_per_cycle']}</strong></td>
				<td class='field_field'>
					{$form['perCycle']}<br />
					<span class='desctext'>{$this->lang->words['pre_per_cycle_desc']}</span>
				</td>
			</tr>
		</table>
		</div>
		<div class="acp-actionbar">
			<input type="submit" accesskey="s" class="button" value="{$this->lang->words['pre_massadd_submit']}" />
		</div>
	</div>
</form><br />

<form id="changetags" name="changetags" method="post" action="{$this->settings['base_url']}{$this->form_code}">
	<input type='hidden' name='do' value='updateTags' />
	<input type='hidden' name='_admin_auth_key' value='{$this->registry->adminFunctions->getSecurityKey()}' />

	<div class="acp-box">
		<h3>{$this->lang->words['pre_replace_header']}</h3>
		<table class="ipsTable double_pad">
			<tr>
				<td colspan="2">
					{$replace_desc}
				</td>
			</tr>
			<tr>
				<td class='field_title'><strong class='title'>{$this->lang->words['pre_replace_from']}</strong></td>
				<td class='field_field'>
					{$form['find']}
				</td>
			</tr>
			<tr>
				<td class='field_title'><strong class='title'>{$this->lang->words['pre_replace_to']}</strong></td>
				<td class='field_field'>
					{$form['replace']} {$this->lang->words['pre_replace_or']} {$form['prefixes']}
				</td>
			</tr>
		</table>
		<div class="acp-actionbar">
			<input type="submit" accesskey="s" class="button" value="{$this->lang->words['pre_replace_submit']}" />
		</div>
	</div>
</form><br />

<form id="deletetags" name="deletetags" method="post" action="{$this->settings['base_url']}{$this->form_code}" onsubmit="return confirm('{$this->lang->words['pre_massdel_confirm']}');">
	<input type='hidden' name='do' value='deleteTags' />
	<input type='hidden' name='_admin_auth_key' value='{$this->registry->adminFunctions->getSecurityKey()}' />

	<div class="acp-box">
		<h3>{$this->lang->words['pre_massdel_header']}</h3>
		<table class="ipsTable double_pad">
			<tr>
				<td colspan="2">
					{$massdel_desc}
				</td>
			</tr>
			<tr>
				<td class='field_title'><strong class='title'>{$this->lang->words['pre_massdel_called']}</strong></td>
				<td class='field_field'>
					{$form['find']}
				</td>
			</tr>
		</table>
		<div class="acp-actionbar">
			<input type="submit" accesskey="s" class="button" value="{$this->lang->words['pre_massdel_submit']}" />
		</div>
	</div>
</form><br />

<form id="lowertags" name="lowertags" method="post" action="{$this->settings['base_url']}{$this->form_code}" onsubmit="return confirm('This action cannot be reversed. Are you absolutely certain?');">
	<input type='hidden' name='do' value='lowerTags' />
	<input type='hidden' name='_admin_auth_key' value='{$this->registry->adminFunctions->getSecurityKey()}' />

	<div class="acp-box">
		<h3>Convert Tags/Prefixes To Lowercase</h3>
		<table class="ipsTable double_pad">
			<tr>
				<td colspan="2">
					If you've enabled the "force tags to lowercase" setting, you may have found that all of your existing tags and prefixes still contain capital letters. This can cause problems, particularly with search results not containing everything you expect. Run this tool to make everything lowercase. <b style="color:#c00">Warning: This action cannot be reversed. Please backup your database before proceeding.</b>
				</td>
			</tr>
		</table>
		<div class="acp-actionbar">
			<input type="submit" accesskey="s" class="button" value="Lower them all" />
		</div>
	</div>
</form><br />

<form id="recache" name="recache" method="post" action="{$this->settings['base_url']}{$this->form_code}">
	<input type='hidden' name='do' value='rebuildCache' />
	<input type='hidden' name='_admin_auth_key' value='{$this->registry->adminFunctions->getSecurityKey()}' />

	<div class="acp-box">
		<h3>{$this->lang->words['pre_recache']}</h3>
		<table class="ipsTable double_pad">
			<tr>
				<td colspan="2">
					{$this->lang->words['pre_recache_desc']}
				</td>
			</tr>
		</table>
		<div class="acp-actionbar">
			<input type="submit" accesskey="s" class="button" value="{$this->lang->words['pre_recache_submit']}" />
		</div>
	</div>
</form><br />
HTML;

$IPBHTML .= $this->copyleft();

//--endhtml--//
return $IPBHTML;
}

/**
 * Show search results and confirmation before adding prefix/tags
 */
public function showAddConfirm( $rows, $prefix ) {
$IPBHTML = "";
//--starthtml--//

$what	= array();
if( !empty($this->request['replace_text']) ) {
	$tags = explode( ',', $this->request['replace_text'] );
	if( count($tags) > 1 ) {
		$what[] = "tags '" . implode( "', '", $tags ) . "'";
	}
	else {
		$what[] = "a '" . $this->request['replace_text'] . "' tag";
	}
}
if( intval($this->request['replace']) > 0 ) {
	$what[] = "a '" . $prefix . "' prefix";
}
$what	= implode( " and ", $what );

$forums = implode( ',', $this->request['forums'] );
$count	= count($rows);
$perCycle = intval($this->request['perCycle']);

$desc 	= sprintf( $this->lang->words['pre_massadd_conf_desc'], $what, $count, $perCycle, ceil($count / $perCycle) );

/**
 * Show stuff
 */
$IPBHTML .= <<<HTML
<div class='section_title'>
	<h2>{$this->lang->words['pre_tools_header_add']}</h2>
</div>

<div class="information-box">
	$desc
</div><br />

<form id="addtags" name="addtags" method="post" action="{$this->settings['base_url']}{$this->form_code}">
	<input type='hidden' name='do' value='addTags' />
	<input type='hidden' name='find' value='{$this->request['find']}' />
	<input type='hidden' name='removeText' value='{$this->request['removeText']}' />
	<input type='hidden' name='replace' value='{$this->request['replace']}' />
	<input type='hidden' name='replace_text' value='{$this->request['replace_text']}' />
	<input type='hidden' name='perCycle' value='{$this->request['perCycle']}' />
	<input type='hidden' name='total' value='{$count}' />
	<input type='hidden' name='incOP' value='{$this->request['incOP']}' />
	<input type='hidden' name='incPinned' value='{$this->request['incPinned']}' />
	<input type='hidden' name='incLocked' value='{$this->request['incLocked']}' />
	<input type='hidden' name='forums' value='{$forums}' />
	<input type='hidden' name='confirmed' value='1' />
	<input type='hidden' name='_admin_auth_key' value='{$this->registry->adminFunctions->getSecurityKey()}' />

	<div class="acp-box">
		<h3>{$this->lang->words['pre_massadd_header']}</h3>
		<div style="overflow:auto;max-height:300px;">
		<table class="ipsTable double_pad">
			<tr>
				<th>{$this->lang->words['pre_massadd_title']}</th>
				<th>{$this->lang->words['pre_massadd_forum']}</th>
				<th>{$this->lang->words['pre_massadd_started']}</th>
				<th width="20%">{$this->lang->words['pre_massadd_date']}</th>
			</tr>
HTML;

foreach( $rows as $r ) {
	$date = $this->lang->formatTime( $r['start_date'], 'joined' );

	$IPBHTML .= <<<HTML
			<tr>
				<td>{$r['title']}</td>
				<td>{$r['name']}</td>
				<td>{$r['starter_name']}</td>
				<td>{$date}</td>
			</tr>
HTML;
}

$IPBHTML .= <<<HTML
		</table>
		</div>
		<div class="acp-actionbar">
			<input type="submit" accesskey="s" class="button redbutton" value="{$this->lang->words['pre_massadd_conf_submit']}" />
		</div>
	</div>
</form>
HTML;

$IPBHTML .= $this->copyleft();

//--endhtml--//
return $IPBHTML;
}

public function copyleft() {
return <<<HTML
<div id="footer" title="$Rev$">
	{$this->lang->words['pre_app_title']} 
	&copy; 2012 Ryan Hoerr / <a href="http://www.sublimism.com" target="_blank">Sublime Development</a> &nbsp; | &nbsp; 
	<a href="http://community.invisionpower.com/topic/315335-download-topic-prefixes/page__view__getlastpost" target="_blank">Get Support</a>
</div>
HTML;
}

}
